
CoCoALib - Bug #428

PPMonoidOv is not threadsafe

28 Jan 2014 12:09 - John Abbott

Status: Closed Start date: 28 Jan 2014

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Safety Estimated time: 1.51 hour

Target version: CoCoALib-0.99533 Easter14 Spent time: 1.50 hour

Description

PPMonoidOv uses a "global" buffer much as OrdvArith did.

This is not threadsafe -- Christof has observed crashes.

Revise the code to make it threadsafe!

Related issues:

Related to CoCoALib - Bug #413: OrdvArith: use of a single buffer is NOT THRE... Closed 21 Nov 2013

History

#1 - 28 Jan 2014 12:12 - John Abbott

- Category set to Safety

- Assignee set to John Abbott

- % Done changed from 0 to 20

JAA has modified the code to use local buffers if CoCoA_THREADSAFE_HACK has a positive value.

15:00 Christof says his tests of the modified code have all passed :-)

#2 - 28 Jan 2014 18:00 - John Abbott

- Status changed from New to Feedback

- % Done changed from 20 to 90

Christof's tests have all gone well.

The change was simple (but a bit tedious/ugly).

I've even checked-in the code and updated the doc!

I'll leave this in feedback until Osnabrueck has made a few more tests.

#3 - 01 Apr 2014 17:34 - Anna Maria Bigatti

- Target version set to CoCoALib-0.99533 Easter14

#4 - 04 Apr 2014 17:24 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

Osnabruck seem to be happy!  Closing!

#5 - 17 Apr 2014 09:49 - Anna Maria Bigatti

- Estimated time set to 1.51 h
